Subject: Re: Example Call Flow in V13

From: Nancy-M Greene <[email-masked]>
Date: Mon, 14 Feb 2000 20:22:46 -0500

Harpreet, I started to answer this msg a while ago, and just noticed I had
not sent it to the list... thanks for reading the example - my comments are
below.

Nancy
--------------------------------------------------------------------------
Nancy M. Greene
Internet & Service Provider Networks, Nortel Networks
T:514-271-7221 (internal:ESN853-1077) E:[email-masked]

> ----------
> From:         Harpreet Singh Anand[SMTP:[email-masked]]
> Sent:         Thursday, January 20, 2000 8:33 AM
> To:   [email-masked]
> Subject:      Example Call Flow in V13
>
> Hello Nancy,
>
> I have a few questions  regarding the call flows given in Appendix A (v13
> draft):
>
> 1. In Step 3, a modify command is being sent to MG1 to modify the
> properties of
> the analog termination A444 in the NULL context. In this message, a Local
> Descriptor, which specifies the media that is received on the analog
> termination
> from outside the Media gateway, is being sent. In this Local Descriptor,
> the
> network type is being specified as IN and the protocol as IP4. Similarly,
> the
> transport is being defined as RTP/AVP.
[Nancy]
You are right I believe. In step 3 currently has, for the TDM termination,
           Local {
v=0
c=IN IP4 $
m=audio $ RTP/AVP 0
a=fmtp:PCMU VAD=X-NNVAD ; special voice activity
                        ; detection algorithm
                     }
                 }
            },
Instead, it should be something like this:
Local {
v=0
c=LOCAL LOCAL $
m=audio $ LOCAL 0
a=fmtp:PCMU VAD=X-NNVAD ; special voice activity
                        ; detection algorithm
                     }
                 }
            },

> How can the recive media on the analog termination can have network type
> as IN,
> protocol type IP4 and transport type RTP/AVP ?
>
> 2. In step 8, it has been mentioned that "There is also an embedded event
> to
> stop dialtone upon detection of the first digit. dd is the DTMF Detection
> package, and ce is the completion event."
>
> What is the embedded event which stops the dialtone ? Is it the 'ce' event
> ? It
> can't be the 'ce' event because 'ce' event by definition will be detected
> when
> the full dialled number (that matches the digit map) has been received and
> hence
> the dial tone would be stopped only when the full dialled number has been
> received.
>
[Nancy]
This has been discussed on the list - Signals are stopped unless "KeepAlive"
is set.  In fact the sentence you quote from step 8 should say "Dialtone is
stopped as soon as the first event is detected".

> 3. In step 11, MG1 notifies the dialled string "16135551212". My question
> is how
> does this dialled string satisfies the dial plan: (0S|
> 00S|[1-7]xLxx|8Lxxxxxxx|#xxxxxxx|*xx|9L1xxxxxxxxxx|9L011x.S)
>
You are right. In v14, we changed the dialled string to be 916135551212 .

> Regards,
> Harpreet
>
> _________________________________
> Harpreet Singh Anand
> Ficon Technology
> E-mail :  mailto:[email-masked]
> Web    :  http://www.ficon-tech.com
>